Subject: [bess] Is draft-ietf-bess-evpn-ipvpn-interworking compatible to all potential use cases?

From: Vasilenko Eduard <[email-masked]>
Date: Wed, 12 Jan 2022 18:09:43 +0000

Dear Authors,
You have normative references only for RFC7432 and RFC4364 types of services.
RFC4659<https://datatracker.ietf.org/doc/html/rfc4659> and RFC8950<https://datatracker.ietf.org/doc/html/rfc8950> are missing in normative and informative. Why?

Especially when you effectively included the support for IPv6 AFI inside the definition of "ISF SAFI":

The ISF SAFIs are 1 (including IPv4 and IPv6 AFIs), 128 (including IPv4 and IPv6 AFIs) and 70 (EVPN, including only AFI 25).

I have read your draft and do not see a problem to claim support for these use cases too.

Best Regards
Eduard Vasilenko
Senior Architect
Europe Standardization & Industry Development Department
Tel: +7(985) 910-1105, +7(916) 800-5506

---

From: "Rabadan, Jorge (Nokia - US/Sunnyvale)" <[email-masked]>
Date: Wed, 12 Jan 2022 18:46:42 +0000

Hi Eduard,

Sounds like a reasonable request to me. We’ll look into it for the next version.
Thank you!
Jorge

From: Vasilenko Eduard <[email-masked]>
Date: Wednesday, January 12, 2022 at 7:09 PM
To: [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: Is draft-ietf-bess-evpn-ipvpn-interworking compatible to all potential use cases?
Dear Authors,
You have normative references only for RFC7432 and RFC4364 types of services.
RFC4659<https://datatracker.ietf.org/doc/html/rfc4659> and RFC8950<https://datatracker.ietf.org/doc/html/rfc8950> are missing in normative and informative. Why?

Especially when you effectively included the support for IPv6 AFI inside the definition of “ISF SAFI”:

Best Regards
Eduard Vasilenko
Senior Architect

---

From: Vasilenko Eduard <[email-masked]>
Date: Wed, 12 Jan 2022 20:30:58 +0000

Dear Authors,
Thanks. Then let me abuse your attention and fill another request for the same subject.

draft-ietf-bess-srv6-services has been developed in such a way that it does not need any changes in all services developed before, including RFC7432, RFC4364, RFC4659, and RFC8950.
The only new mechanism that draft-ietf-bess-srv6-services introduces is a mapping between 3bytes of "Label Filed" (that should not be changed) and 16bytes of SID. They have offset and length where to search for "function" to extract and put into "Label Field".
The only new information that draft transports is SID structure and attributes. It is transported by TLV that is not related to "BGP Path Attributes".
On contrary, all your functionality is inside "BGP Path Attributes", like the functionality for RFC7432, RFC4364, RFC4659, and RFC8950.
Hence, the collision has a low probability - they play with different TLV ("Prefix SID TLV") at the BGP root.
I have read both drafts. IMHO: draft-ietf-bess-srv6-services does not affect your draft. You are compatible.
It was probably the intention of draft-ietf-bess-srv6-services authors (not to disturb mature BGP services). Let them speak.

Hence, my request:
Could you investigate the possibility to include the claim for compatibility of your draft with draft-ietf-bess-srv6-services?
To be ready for interworking with SRv6 services too.
Of course, you could point exact version (-08?) to be sure that your claim is valid.

Eduard
From: Rabadan, Jorge (Nokia - US/Sunnyvale) [mailto:[email-masked]]
Sent: Wednesday, January 12, 2022 9:47 PM
To: Vasilenko Eduard <[email-masked]>; [email-masked]
Cc: [email-masked]
Subject: Re: Is draft-ietf-bess-evpn-ipvpn-interworking compatible to all potential use cases?

Hi Eduard,

Sounds like a reasonable request to me. We'll look into it for the next version.
Thank you!
Jorge

From: Vasilenko Eduard <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, January 12, 2022 at 7:09 PM
To: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Subject: Is draft-ietf-bess-evpn-ipvpn-interworking compatible to all potential use cases?
Dear Authors,
You have normative references only for RFC7432 and RFC4364 types of services.
RFC4659<https://datatracker.ietf.org/doc/html/rfc4659> and RFC8950<https://datatracker.ietf.org/doc/html/rfc8950> are missing in normative and informative. Why?

Best Regards
Eduard Vasilenko
Senior Architect